Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/refresh-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'{
"message": "<string>",
"success": true,
"content": {
"access_token": "<string>",
"refresh_token": "<string>"
}
}Exchanges a refresh_token for a new access_token and refresh_token pair. Use this to extend user sessions without re-authentication.
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/auth/refresh-token \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refresh_token": "<string>"
}
'{
"message": "<string>",
"success": true,
"content": {
"access_token": "<string>",
"refresh_token": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Access token
A string representing the refresh token.
OK
Was this page helpful?